package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.eas.custom.dormitorysystem.application.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class RoomChangeApplicationEntry extends HRBillBaseEntry implements IRoomChangeApplicationEntry
{
    public RoomChangeApplicationEntry()
    {
        super();
        registerInterface(IRoomChangeApplicationEntry.class, this);
    }
    public RoomChangeApplicationEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IRoomChangeApplicationEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B371AC0A");
    }
    private RoomChangeApplicationEntryController getController() throws BOSException
    {
        return (RoomChangeApplicationEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public RoomChangeApplicationEntryInfo getRoomChangeApplicationEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomChangeApplicationEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public RoomChangeApplicationEntryInfo getRoomChangeApplicationEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomChangeApplicationEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public RoomChangeApplicationEntryInfo getRoomChangeApplicationEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getRoomChangeApplicationEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public RoomChangeApplicationEntryCollection getRoomChangeApplicationEntryCollection() throws BOSException
    {
        try {
            return getController().getRoomChangeApplicationEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public RoomChangeApplicationEntryCollection getRoomChangeApplicationEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getRoomChangeApplicationEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public RoomChangeApplicationEntryCollection getRoomChangeApplicationEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getRoomChangeApplicationEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}